import sys
import os
import numpy as np
import time
#import arguments

import re

import cmath

import mayavi
import mayavi.tools
import mayavi.tools.pipeline
from mayavi import mlab


import scipy as sp
import scipy.sparse as sparse
import scipy.sparse.linalg as splinalg
from scipy.io import netcdf

import numpy.linalg as nplinalg

import matplotlib as mpl
from mpl_toolkits.mplot3d import axes3d, Axes3D
#matplotlib.use("Agg")
import matplotlib.pyplot as pypl
from matplotlib.pyplot import figure, show, xlabel, ylabel


from pyface.api import GUI
# The core Engine.
from mayavi.core.api import Engine
from mayavi.core.ui.engine_view import EngineView
# Usual MayaVi imports
from mayavi.sources.api import VTKXMLFileReader
from mayavi.modules.api import Outline, ScalarCutPlane, Streamline, ImagePlaneWidget


def main(argv):


    data_name = "emf"
    model_name = "troll_002"

    input_directory = "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/" + model_name + "/datafiles"
    #input_filename = "ST0755_02Tx003a_02Rx020a_data"
    #input_filename = "ST0755_02Tx010a_02Rx018a_data"
    input_filename = tempData.nc
    input_filepath = input_directory + "/" + input_filename + ".nc"

    output_directory = "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/" + model_name + "/datafiles"
    output_filename = input_filename + "_" + data_name
    output_filepath_re = output_directory + "/" + output_filename + "_re.txt"
    output_filepath_im = output_directory + "/" + output_filename + "_im.txt"

    f = netcdf.netcdf_file(input_filepath,'r')
    data = f.variables[data_name]

    no_data = data.shape[0]

    x = np.zeros(data.shape)
    x_re = np.zeros([no_data/2,data.shape[1]])
    x_im = np.zeros([no_data/2,data.shape[1]])
    print data.shape
    for i in range(x_re.shape[0]):
        for j in range(x_re.shape[1]):
            x_re[i,j] = data[2*i,j]
            x_im[i,j] = data[2*i+1,j]

    np.savetxt(output_filepath_re,x_re)
    np.savetxt(output_filepath_im,x_im)

    f.close()


main(sys.argv)
