#include "common_functions.h"

#include <iostream>
#include <iomanip>      // std::setw,
#include <sstream>
#include <fstream>
#include <string>
#include <vector>
#include <math.h>
#include <stdlib.h>
#include <time.h>

#include <Eigen/Dense>
#include <Eigen/Core>
#include <Eigen/SVD>

//#include <netcdfccp.h>

// GET TIME:
#if defined(_WIN32)
#include <Windows.h>

#elif defined(__unix__) || defined(__unix) || defined(unix) || (defined(__APPLE__) && defined(__MACH__))
#include <unistd.h> /* POSIX flags */
//#include <time.h>   /* clock_gettime(), time() */
#include <sys/time.h>   /* gethrtime(), gettimeofday() */

#if defined(__MACH__) && defined(__APPLE__)
#include <mach/mach.h>
#include <mach/mach_time.h>
#endif

#else
#error "Unable to define getRealTime( ) for an unknown OS."
#endif
//

#include "model1D.h"

using std::cout;
using std::endl;
using Eigen::Ref;




int main()
{






    return 0;
}
