# plot variable values per iteration

set size 1.0,1.0
set multiplot

# RMS plot
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.9375
set xrange [lower_iter:upper_iter]
#set yrange [0:100]
set autoscale y
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:3 with lines title 'Parameter values for '.filename.'.     RMS'

# Temperature
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.8750
set xrange [lower_iter:upper_iter]
#set yrange [0:7000]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:7 with lines title 'Temperature'

# Step length
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.8125
set xrange [lower_iter:upper_iter]
#set yrange [0:7000]
set logscale y
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:8 title 'Step length'
unset logscale y

# c_0
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.7500
set xrange [lower_iter:upper_iter]
#set yrange [1e-8:2]
set autoscale y
#set logscale y
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:11 with lines title 'c_0' ,\
0.0
#unset logscale y

# c_1
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.6875
set xrange [lower_iter:upper_iter]
#set yrange [1e-8:1.1]
#set logscale y
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:12 with lines title 'c_1' ,\
0.002
#unset logscale y

# resistor resistivity
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.6250
set xrange [lower_iter:upper_iter]
#set yrange [0:200]
set autoscale y
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:13 with lines title 'target res' ,\
150.0

# resistor depth
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.5625
set xrange [lower_iter:upper_iter]
#set yrange [500:2500]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:14 with lines title 'target depth' ,\
1500.0

# beta_1
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.5000
set xrange [lower_iter:upper_iter]
#set yrange [0:3000]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:15 with lines title 'beta_1' ,\
1500.0

# beta_2
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.4375
set xrange [lower_iter:upper_iter]
#set yrange [0:3000]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:16 with lines title 'beta_2' ,\
200.0

# beta_3
#set tmarg 0
#set bmarg 0
#set lmarg 7
#set rmarg 3
#set size 1.0,0.0625
#set origin 0.0,0.3750
#set xrange [lower_iter:upper_iter]
##set yrange [0:3000]
#plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/M002/simulated_annealing/data/solutions/".filename using 1:17 with lines title 'beta_3' ,\
#500.0

# z_w_1
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.3125
set xrange [lower_iter:upper_iter]
#set yrange [500:2500]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:17 with lines title 'gauss mean 1' ,\
500.0

# z_w_2
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.2500
set xrange [lower_iter:upper_iter]
#set yrange [500:2500]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:18 with lines title 'gauss mean 2' ,\
900.0

# z_w_3
#set tmarg 0
#set bmarg 0
#set lmarg 7
#set rmarg 3
#set size 1.0,0.0625
#set origin 0.0,0.1875
#set xrange [lower_iter:upper_iter]
#set yrange [500:2500]
#plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/M002/simulated_annealing/data/solutions/".filename using 1:20 with lines title 'gauss mean 3' ,\
#1550.0

# w_w_1 
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0625
set origin 0.0,0.1250
set xrange [lower_iter:upper_iter]
#set yrange [0:500]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:19 with lines title 'gauss width 1' ,\
170.0

# w_w_2 
set tmarg 0
set bmarg 0
set lmarg 7
set rmarg 3
set size 1.0,0.0626
set origin 0.0,0.0625
set xrange [lower_iter:upper_iter]
#set yrange [0:500]
plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/troll_001/simulated_annealing/data/solutions/".filename using 1:20 with lines title 'gauss width 2' ,\
100.0

# w_w_3 
#set tmarg 0
#set bmarg 0
#set lmarg 7
#set rmarg 3
#set size 1.0,0.0625
#set origin 0.0,0.0
#set xrange [lower_iter:upper_iter]
#set yrange [0:500]
#plot "/panfs/pandora/projects/3DGN/tests/summerproject2013/master/models/M002/simulated_annealing/data/solutions/".filename using 1:23 with lines title 'gauss width 3' ,\
#50.0

unset multiplot

pause 1
reread
